
%define plugin	sc
%define name	vdr-plugin-%plugin
%define version	1.0.0
%define snap	603
%define rel	4
%define dkmsname dvb-ttpci-sc_patched

Summary:	VDR plugin: A software emulated CAM
Name:		%name
Version:	%version
%if %snap
Release:	%mkrel 0.hg%snap.%rel
%else
Release:	%mkrel %rel
%endif
Group:		Video/Utilities
License:	GPLv2+
URL:		http://207.44.152.197/
%if %snap
# hg clone http://85.17.209.13:6100/sc vdr-sc
# cd vdr-sc
# REV_ID=$(hg id -n)
# hg archive ../vdr-sc-hg$REV_ID.tar.bz2
Source:		vdr-sc-hg%snap.tar.bz2
%else
Source:		http://207.44.152.197/vdr-%plugin-%version.tar.gz
%endif
# includes for dvbhddevice and dvbsddevice plugins
Patch0:		vdr-includes.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.6.0-7
BuildRequires:	openssl-devel
BuildRequires:	pcsc-lite-devel
BuildRequires:	bzip2-devel
BuildRequires:	gettext
Requires:	vdr-abi = %vdr_abi

%description
This VDR plugin provides a software emulated CAM. Software
decryption with ffdecsa for budget cards is also available. With
this plugin you can, for example, use your pay-tv subscription with
a smart card reader/programmer without expensive CI and CAM devices.

If you use this plugin with an FF card, you will also need to use a
special version of the firmware available from the plugin home page.

This package is in tainted section because it contains algorithms
that may be covered by software patents and because its decryption
capabilities (while requiring appropriate keys) may be considered
breaking DRM.

%if 0
# Does not work, but does not seem to be needed; is doc wrong?
%package -n	dkms-%dkmsname
Summary:	DVB FF card driver patched to support vdr-sc
Group:		Video/Utilities
Requires:	dkms
Requires:	kernel-source
Requires(post):	dkms
Requires(preun):	dkms
# in non-free:
#Requires:	dvb-firmware-ttpci-sc_patched

%description -n	dkms-%dkmsname
The dvb-ttpci module which is patched to support vdr-sc. You may
need this package if you use VDR sc plugin with an FF card.

You also need the patched ttpci firmware from the package
dvb-firmware-ttpci-sc_patched.

Note that this dkms package does not work with
kernel-source-stripped packages.

This package is in PLF because it is useless without the
vdr-plugin-sc package.
%endif

%prep
%if %snap
%setup -q -n vdr-%plugin-hg%snap
%else
%setup -q -n %plugin-%version
%endif
%apply_patches
perl -pi -e 's,-march=,,' Makefile
%vdr_plugin_prep

%if 0
cat > patched_dvb-ttpci.sh <<EOF
#!/bin/sh -ex
KERNELDIR="\$1"
mkdir ttpci
cp \$KERNELDIR/drivers/media/dvb/ttpci/{*.[ch],Makefile} ttpci
patch -p4 -i dvb-cwidx.diff
make -C \$KERNELDIR M=\$(pwd)/ttpci modules
EOF
%endif

%vdr_plugin_params_begin %plugin
# See README for more information.
#
# forces DVB device N to budget mode (using FFdecsa)
var=FORCE_BUDGET
param=--budget=MULTIPLE_PARAMS
# external key update script
var=EXTERNAL_AU
param="-E EXTERNAL_AU"
%vdr_plugin_params_end

cat > README.0.9.0.upgrade.urpmi <<EOF
As of vdr-sc 0.9.0, the plugin expects the configuration files to
reside in the /plugins/sc subdirectory instead of /plugins. If you
are using the default configuration directory location of
/var/lib/vdr/config, you must move any SC config files from
/var/lib/vdr/config/plugins to /var/lib/vdr/config/plugins/sc.
If you do not use any configuration files with sc, you do not have
to take any action.
EOF

cat > README.0.9.2.upgrade.urpmi <<EOF
As of vdr-sc 0.9.2, smart card reader configuration has been moved
to cardslot.conf. If you have a smart card reader activated in
/etc/sysconfig/vdr-sc, you need to remove those settings and
configure the reader in /var/lib/vdr/config/plugins/sc/cardslot.conf
instead. See the example file in
/var/lib/vdr/config/plugins/sc/cardslot.conf.example.
EOF

%build
# TODO: export MAXCAID in vdr header
VDR_PLUGIN_EXTRA_FLAGS="-I%{_includedir}/PCSC"
%vdr_plugin_build CSAFLAGS="%{vdr_plugin_flags}" CPUOPT="" MAXCAID=64 HASLOCALE=1 WITH_PCSC=1 HAVE_SD=1 HAVE_HD=1 -j1

%install
rm -rf %{buildroot}
%vdr_plugin_install
install -m755 systems/*/libsc-*.so.%vdr_apiversion %{buildroot}%{_vdr_plugin_dir}
install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}

# install some examples in-place
install -m644 examples/*.conf.example %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}

%if 0
install -d -m755 %{buildroot}/usr/src/%dkmsname-%{version}-%{release}
install -m755 patched_dvb-ttpci.sh %{buildroot}/usr/src/%dkmsname-%{version}-%{release}
install -m644 patches/dvb-cwidx.diff %{buildroot}/usr/src/%dkmsname-%{version}-%{release}

cat > %{buildroot}/usr/src/%dkmsname-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%dkmsname"
PACKAGE_VERSION="%{version}-%{release}"
MAKE[0]="./patched_dvb-ttpci.sh \$kernel_source_dir"
CLEAN="rm -rf ttpci"
AUTOINSTALL=yes
BUILT_MODULE_NAME[0]="dvb-ttpci"
BUILT_MODULE_LOCATION[0]="ttpci"
DEST_MODULE_LOCATION[0]="/kernel/drivers/media/dvb/ttpci"
EOF
%endif

%clean
rm -rf %{buildroot}

%if 0
%post -n dkms-%{dkmsname}
dkms add     -m %{dkmsname} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build   -m %{dkmsname} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install -m %{dkmsname} -v %{version}-%{release} --rpm_safe_upgrade
true

%preun -n dkms-%{dkmsname}
dkms remove  -m %{dkmsname} -v %{version}-%{release} --rpm_safe_upgrade --all
true
%endif

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README* HISTORY COPYING examples
%{_vdr_plugin_dir}/libsc-*.so.%vdr_apiversion
%attr(-,vdr,vdr) %dir %{_vdr_plugin_cfgdir}/%{plugin}
%{_vdr_plugin_cfgdir}/%{plugin}/*.conf.example

%if 0
%files -n dkms-%dkmsname
%defattr(-,root,root)
/usr/src/%dkmsname-%{version}-%{release}
%endif



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-0.hg603.4.mga3
+ Revision: 385304
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 1.0.0-0.hg603.3.mga3.tainted
+ Revision: 325531
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 1.0.0-0.hg603.2.mga2.tainted
+ Revision: 221051
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 1.0.0-0.hg603.1.mga2.tainted
+ Revision: 214841
- new snapshot (VDR 1.7.23 support)
- change includes for vdr core plugins as per our vdr-devel package
  (vdr-includes.patch)

* Sat May 14 2011 anssi <anssi> 0.9.3-2.mga1
+ Revision: 98488
- fix license tag
- drop old scriptlets
- clarify description
- dePLFify and taintify
- imported package vdr-plugin-sc

